CH_GET_BYTES_READABLE(3)

FUNCTION
ch_get_bytes_readable - Count unread bytes.

SYNOPSIS
#include <karma_ch.h>

int ch_get_bytes_readable

(Channel channel)

DESCRIPTION
This routine will determine the number of bytes currently readable on a connection channel. This is equal to the maximum number of bytes that could be read from the channel at this time without blocking waiting for more input to be transmitted from the other end of the connection.

channel
    The channel object.

RETURN VALUE
The number of bytes readable on success, else -1 indicating error

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/